uk.gov.hmrc.wco.dec

# Consignment

###
Related Doc: package dec

#### case class Consignment(containerCode: Option[String] = None, arrivalTransportMeans: Option[TransportMeans] = None, departureTransportMeans: Option[TransportMeans] = None, freight: Option[Freight] = None, goodsLocation: Option[GoodsLocation] = None, itineraries: Seq[Itinerary] = Seq.empty, loadingLocation: Option[LoadingLocation] = None, transportEquipments: Seq[TransportEquipment] = Seq.empty) extends Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Consignment
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new Consignment(containerCode: Option[String] = None, arrivalTransportMeans: Option[TransportMeans] = None, departureTransportMeans: Option[TransportMeans] = None, freight: Option[Freight] = None, goodsLocation: Option[GoodsLocation] = None, itineraries: Seq[Itinerary] = Seq.empty, loadingLocation: Option[LoadingLocation] = None, transportEquipments: Seq[TransportEquipment] = Seq.empty)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val arrivalTransportMeans: Option[TransportMeans]

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### val containerCode: Option[String]

8. #### val departureTransportMeans: Option[TransportMeans]

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### val freight: Option[Freight]

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### val goodsLocation: Option[GoodsLocation]

14. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

15. #### val itineraries: Seq[Itinerary]

16. #### val loadingLocation: Option[LoadingLocation]

17. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### final def notify(): Unit

    Definition Classes
      AnyRef

19. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

20. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

21. #### val transportEquipments: Seq[TransportEquipment]

22. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped